## needrestart-session 0.3

=== Makefile ===
all:

install: all
	mkdir -p "$(DESTDIR)/usr/bin"
	cp needrestart-session "$(DESTDIR)/usr/bin/"
	
	mkdir -p "$(DESTDIR)/usr/lib/needrestart-session"
	cp needrestart-dbus-system "$(DESTDIR)/usr/lib/needrestart-session/"
	cp needrestart-dbus-session "$(DESTDIR)/usr/lib/needrestart-session/"
	cp needrestart-x11 "$(DESTDIR)/usr/lib/needrestart-session/"
	
	mkdir -p "$(DESTDIR)/etc/dbus-1/system.d"
	cp dbus/net.ibh.NeedRestart.System.conf "$(DESTDIR)/etc/dbus-1/system.d/"
	
	mkdir -p "$(DESTDIR)/usr/share/dbus-1/system-services"
	cp dbus/net.ibh.NeedRestart.System.service "$(DESTDIR)/usr/share/dbus-1/system-services/"
	
	mkdir -p "$(DESTDIR)/usr/share/needrestart-session"
	cp share/needrestart.svg "$(DESTDIR)/usr/share/needrestart-session/"
	cp share/needrestart.xpm "$(DESTDIR)/usr/share/needrestart-session/"
	
	mkdir -p "$(DESTDIR)/usr/share/applications" "$(DESTDIR)/etc/xdg/autostart"
	cp xdg/needrestart-session.desktop "$(DESTDIR)/usr/share/applications/"
	cp xdg/needrestart.desktop "$(DESTDIR)/usr/share/applications/"
	cp xdg/needrestart-dbus-session.desktop "$(DESTDIR)/etc/xdg/autostart/"
	
	mkdir -p "$(DESTDIR)/etc/needrestart/notify.d"
	cp notify.d/300-needrestart-session "$(DESTDIR)/etc/needrestart/notify.d/"

clean:

=== debian/changelog ===
needrestart-session (0.3-9) unstable; urgency=medium

  * debian/watch: Adjust github URL.
  * Bump Standards-Version to 4.6.0.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 19 Oct 2021 09:43:37 +0200

needrestart-session (0.3-8) unstable; urgency=medium

  * Adjust lintian overrides.
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper-compat to level 13.
  * Update debian/watch file standard to version 4.
  * Rename patches.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 14:59:12 +0100

needrestart-session (0.3-7) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Use the new debhelper-compat notation, and drop the d/compat file.
  * Move lintian-overrides file to source directory.
  * Adjust source lintian-overrides.
  * Set Rules-Requires-Root: no.
  * Fix renamed lintian tag.
  * Fix lintian warning insecure-copyright-format-uri.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jan 2020 16:33:09 +0100

needrestart-session (0.3-6) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1.
  * Fix wrong redirection.
    Closes: #908268

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 12 Oct 2018 10:09:48 +0200

needrestart-session (0.3-5) unstable; urgency=low

  * Acknowledge NMU. Thanks Paul!
  * Bump debian/compat to level 10.
  * Bump Standards-Version to 4.0.0 (no changes required).

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 Jul 2017 15:21:44 +0200

needrestart-session (0.3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix path to needrestart, now shows same results (Closes: #787291)
  * Don't fork before system(), fixes crash on double-click (Closes: #857703)

 -- Paul Wise <pabs@debian.org>  Tue, 14 Mar 2017 15:37:11 +0800

needrestart-session (0.3-4) unstable; urgency=high

  * Add dependency on adduser and add/delete new system user needrestart-dbus.
    Closes: #855788, #857077

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 10 Mar 2017 16:18:08 +0100

needrestart-session (0.3-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8 (no changes required).

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 23 Dec 2016 09:05:51 +0100

needrestart-session (0.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 29 Apr 2015 10:05:18 +0200

needrestart-session (0.3-1) experimental; urgency=low

  * Initial release.
    Closes: #776628

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 30 Jan 2015 11:23:38 +0100

=== debian/control ===
Source: needrestart-session
Section: admin
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper-compat (= 13)
Homepage: https://github.com/liske/needrestart-session
Rules-Requires-Root: no
Standards-Version: 4.6.0

Package: needrestart-session
Architecture: all
Depends: ${perl:Depends},
 ${misc:Depends},
 needrestart (>= 2.0),
 adduser,
 libnet-dbus-perl,
 libproc-processtable-perl,
 libwx-perl,
 wmctrl,
 policykit-1
Description: check for processes need to be restarted in user sessions
 needrestart checks which processes need to be restarted after library upgrades.
 needrestart-session implements a notification of user sessions about their
 obsolete processes after system upgrades.

=== debian/watch ===
version=4
https://github.com/liske/needrestart-session/releases \
/liske/needrestart-session/archive/refs/tags/v(.+)\.tar\.gz
